SYNC(2)

NAME
sync, fsync - update dirty buffers and super-block

SYNOPSIS
#include <unistd.h>
int sync(void)
int fsync(fd)

DESCRIPTION
Sync causes all information in the file system buffers that should be on disk to be written out. This includes modified super blocks, modified i-nodes, and delayed block I/O. Fsync does the same thing, but only for the blocks associated with a specific file descriptor. Under minix, currently the two calls do the same thing.

SEE ALSO
reboot(2), sync(8).